Bug 1020897 - Strange results when including "URL" column in results.
Strange results when including "URL" column in results.
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Query/Bug List (Show other bugs)
4.4
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: Simon Green
tools-bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 09:27 EDT by Stephen Gordon
Modified: 2014-10-12 18:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.4.1012
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-05 23:40:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
URL search results. (51.90 KB, image/png)
2013-10-18 09:27 EDT, Stephen Gordon
no flags Details

  None (edit)
Description Stephen Gordon 2013-10-18 09:27:56 EDT
Created attachment 813774 [details]
URL search results.

Description of problem:

I am executing the following query to select bugs from the Red Hat OpenStack product that have the URL field set, displaying only the Bug ID and URL fields:

https://bugzilla.redhat.com/colchange.cgi?classification=Red%20Hat&columnlist=bug_file_loc&f1=bug_file_loc&list_id=1819900&o1=isnotnull&product=Red%20Hat%20OpenStack&query_format=advanced&query_based_on=

In the resultant output there are several issues:

1) Despite the entire width of the screen being available to display only 2 columns the URL field is truncated to the point that the URLs are largely indistinguishable from each others (as they are all different pages from the same domain in this case).

2) The URL is not a clickable link like it is in the bugs themselves so there is in fact no way to determine the full URL from the query view.

3) The column header for the URLs is "OS"?
Comment 1 Jason McDonald 2013-10-20 23:32:13 EDT
I can reproduce all three of the above issues.
Comment 3 Simon Green 2013-12-05 23:40:09 EST
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.